<template>
    <base-information-block
        :header="$t(`information.${agreement}.header`)"
        @clickBackButton="setRegistrationPageComponent('registration-form')"
    >
        <div v-html="$t(`information.${agreement}.text`)"/>
    </base-information-block>
</template>

<script>
export default {
    name: 'registration-agreement',
    computed: {
        ...mapState('registration', ['agreement'])
    },
    methods: {
        ...mapActions('registration', ['setRegistrationPageComponent'])
    }
}
</script>
